[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# DateTimeRecToDateTime

Convert TDateTimeRec record to a TDateTime value.

## Declaration

Source position: db.pas line 2258

`function DateTimeRecToDateTime(`
`DT: TFieldType;`
`Data: TDateTimeRec`
`):TDateTime;`

## Arguments

`DT` |  | Datatype of Data.
`Data` |  | Timestamp specification in TDateTimeRec formar.

## Function result

TDateTime value corresponding to timestamp in Data.

## Description

DateTimeRecToDateTime examines Data and Dt and uses dt to convert the timestamp in Data to a TDateTime value.

## See also

TFieldType |  | Field data type description
TDateTimeRec |  | Date/Time record
DateTimeToDateTimeRec |  | Convert TDateTime value to a TDateTimeRec record.